﻿<div class="navbar" ng-model="agent">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding">{{agent.name}}</div>
        <div class="right sliding">
            <!--<div class="list-block">
                <ul>
                    <li>
                        <a id="linkHomeBannerCity" href="#" data-open-in="popup" data-popup-close-text="إغلاق" class="item-link smart-select" data-back-on-select="true">
                            <select ng-change="StoreSelectedCity(selectedItem)" ng-model="selectedItem" ng-options="city.name for city in cites">
                                <option ng-select="false" ng-disabled="true" value="">اختر المدينة</option>
                            </select>
                            <div class="item-content">
                                <div class="item-media"><i class="ionicons ion-android-pin"></i></div>
                                <div class="item-inner">  </div>
                            </div>
                        </a>
                    </li>
                </ul>
            </div>-->
            <a href="#search" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>
    </div>
</div>

<!-- Floating Action Button -->
<a ng-click="CallAgent(agent)" class="floating-button" ng-model="agent" ng-hide="IsVisitor">
    <i class="ionicons ion-android-call"></i>
</a>

<a ng-click="CallAgentByWhatsApp(agent.whatsapp)" class="floating-button second" ng-model="agent" ng-hide="IsVisitor">
    <i class="ionicons ion-social-whatsapp"></i>
</a>


<div class="page-content" ng-model="agent">
    <div class="head">
        <img data-ng-src="{{agent.image | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="http://placehold.it/100?text=image" />
    </div>
    <div class="content-block">
        <div class="card">
            <div class="row">
                <h3>{{agent.name}}</h3>
                <h4><i class="ionicons ion-android-pin"></i>{{agent.city.name}}</h4>
            </div>
            <div class="row">
                <p><i class="ion-person"></i>{{agent.ratings.length}} </p>
                <div class="rate">
                    <label>{{rateText}}</label>
                    <jk-rating-stars max-rating="5" rating="agent.totalRate" read-only="true"></jk-rating-stars>
                </div>
            </div>
            <hr />
            <div class="row text-center">
                <div class="col-100">
                    <p class="pImageNational">الهوية الوطنية / الإقامة</p>
                    <img data-ng-src="{{agent.national_image | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="http://placehold.it/1000x100?text=image" />
                </div>
            </div>
            <hr />
            <div class="row">
                <div class="col-100">
                    <p ng-hide="noDescription">
                        {{agent.description}}
                    </p>
                    <div id="divNotificationReserve" class="divAlertDesc" ng-show="noDescription">
                        <p class="pNotification">لا يوجد وصف</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="card" ng-hide="IsVisitor || IsOwner">
            <a ng-click="ReportAgent(agent)" class="button button-fill button-rounded centered-75 m-auto m-t-0">إبلاغ</a>
        </div>
        <div class="card rateUser" ng-hide="IsVisitor || IsOwner">
            <div class="row">
                <h3>قم بالتقييم</h3>
                <p class="rate">
                    <jk-rating-stars max-rating="5" rating="userRate" read-only="false" class="bigstar" on-rating="rateAgent(rating,agent)"></jk-rating-stars>
                </p>
            </div>
        </div>
        <div class="card">
            <div class="services" ng-hide="noSubCategories">
                <h3><i class="ion-android-list"></i> تصنيفات الخدمات الفرعية المسجل فيها المندوب</h3>
                <hr />
                <div class="row">
                    <div class="row" ng-repeat="subCategory in agentSubCategories">
                        <div class="col-20">
                            <img data-ng-src="{{subCategory.image | generateURL}}" src="img/oval.svg" class="lazy" fallback-src="http://placehold.it/100?text=image" />
                        </div>
                        <div class="col-80">
                            <h3>{{subCategory.name}}</h3>
                            </h4>
                        </div>
                    </div>
                </div>
            </div>
            <div id="divNotificationReserve" class="divAlertDesc" ng-show="noSubCategories">
                <p class="pNotification">لا يوجد تصنيفات خدمات فرعية للمندوب</p>
            </div>
        </div>
        <div class="card contact">
            <div class="row">
                <div class="col-50">
                    <h3><i class="ion-android-call"></i> {{agent.phone}} </h3>
                </div>
                <div class="col-50">
                    <h3><i class="ion-social-whatsapp"></i> {{agent.whatsapp}} </h3>
                </div>
            </div>
            <div class="row">
                <div class="col-50">
                    <a href="#" class="button button-fill button-rounded"><i class="ion-android-call"></i>إتصال </a>
                </div>
                <div class="col-50">
                    <a href="#" class="button button-fill button-rounded"><i class="ion-social-whatsapp"></i>واتس آب </a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="socialNetwork">
                <div class="row">
                    <a ng-click="OpenWebsite(agent.facebook)"><i class="ion-social-facebook"></i> </a>
                    <a ng-click="OpenWebsite(agent.google)"><i class="ion-social-googleplus"></i> </a>
                    <a ng-click="OpenWebsite(agent.twitter)"><i class="ion-social-twitter"></i> </a>
                    <a ng-click="OpenWebsite(agent.instagram)"><i class="ion-social-instagram"></i> </a>
                </div>
            </div>
        </div>
    </div>
</div>